# Apex Flutter Sdk

ApexTeam flutter software development kit

## Getting Started

# Charts (at components.charts)

Apex flutter charts with pure dart!

* [CandlesticksChart]

[CandlesticksChart]: #candlestickschart

## CandlesticksChart

![](https://i.imgur.com/CHdSuXa.gif)

| Data type         | Parameter       | Default value                           |
|:------------------|:----------------|:----------------------------------------|
| Size              | chartSize       | `const Size(600, 300)`                  |
| int               | minimumScale    | `1`                                     |
| int               | maximumScale    | `2`                                     |
| List<CandleModel> | data            | `[]`                                    |
| Color             | backgroundColor | `const Color.fromARGB(255, 18, 32, 47)` |

```dart dart in html
CandlesticksChart(
            data: [
              CandleModel(high: 85, low: 30, close: 50, open: 40, volumeTo: 1),
              CandleModel(high: 90, low: 45, close: 70, open: 50, volumeTo: 2),
              CandleModel(high: 95, low: 65, close: 90, open: 65, volumeTo: 3),
              CandleModel(high: 110, low: 35, close: 50, open: 90, volumeTo: 4),
              CandleModel(high: 110, low: 35, close: 50, open: 90, volumeTo: 5),
              CandleModel(high: 110, low: 35, close: 50, open: 90, volumeTo: 6),
              CandleModel(high: 100, low: 75, close: 75, open: 80, volumeTo: 7),
              CandleModel(high: 110, low: 85, close: 85, open: 90, volumeTo: 8),
              CandleModel(high: 110, low: 85, close: 85, open: 90, volumeTo: 9),
              CandleModel(high: 110, low: 85, close: 85, open: 90, volumeTo: 0),
              CandleModel(
                  high: 120, low: 75, close: 80, open: 100, volumeTo: 11),
              CandleModel(
                  high: 130, low: 40, close: 50, open: 110, volumeTo: 12),
              CandleModel(
                  high: 110, low: 85, close: 90, open: 90, volumeTo: 13),
              CandleModel(high: 110, low: 85, close: 85, open: 90, volumeTo: 14)
            ],
            minimumScale: 5,
            maximumScale: 10,
          ),
        );
```

